@if (componentData$ | async; as componentData) {
  <sqtm-core-workspace-with-grid
    [licenseInformation]="referentialDataService.licenseInformation$ | async"
    [licenseBannerPlacement]="'WORKSPACES'"
    [isLoggedAsAdmin]="referentialDataService.isAdmin() | async"
    [workspaceTheme]="'automation-workspace'"
    [name]="'automation-programmer-workspace'"
    [rootUrl]="[
      'automation-workspace',
      'automation-programmer-workspace',
      'treat'
    ]"
    [entityIdPositionInUrl]="3"
  >
    <sqtm-core-nav-bar
      class="full-height"
      projection="navBar"
    ></sqtm-core-nav-bar>
    <div
      projection="grid"
      class="flex-column full-height full-width overflow-hidden p-r-10 p-b-10"
    >
      <div class="full-height full-width overflow-hidden flex-column">
        <sqtm-app-automation-workspace-header
          [helpI18NKey]="
            'sqtm-core.automation-workspace.programmer-view.treatment.help'
          "
          [mainTitleI18NKey]="
            'sqtm-core.automation-workspace.programmer-view.title'
          "
          [tableNameI18NKey]="
            'sqtm-core.automation-workspace.programmer-view.treatment.label'
          "
        >
          @if (shouldShowResetFilterLink(activeFilters$ | async)) {
            <div projection="reset-filter-button">
              <sqtm-core-reset-filters-link
                (resetFiltersLinkPressed)="resetFilters()"
              ></sqtm-core-reset-filters-link>
            </div>
          }
          <div projection="automation-button-action" class="flex-row">
            <sqtm-core-toggle-icon
              [attr.data-test-button-id]="'assign'"
              (clickedInActiveMode)="assignAutomationRequest()"
              [active]="canEditRows$ | async"
            >
              <i
                nz-icon
                nzType="sqtm-core-automation:assign"
                class="action-icon-size m-r-5"
                nzTooltipPlacement="topRight"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.automation-workspace.button.assign.label'
                    | translate
                "
              ></i>
            </sqtm-core-toggle-icon>
          </div>
        </sqtm-app-automation-workspace-header>
        <div class="flex-row full-width full-height">
          <sqtm-app-automation-workspace-anchors></sqtm-app-automation-workspace-anchors>
          <div
            class="full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
          >
            <sqtm-core-grid></sqtm-core-grid>
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-workspace-with-grid>
}
